> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/es/recursos-para-desarrolladores/api-docs/vector-store/get-the-information-of-a-document.md).

# Obtener la información de un documento

{% openapi src="/files/5V7ybptH1vsfKadO6dio" path="/vector-stores/{vector-store-id}/documents/{document-id}" method="get" %}
[rememberizer\_openapi.yml](https://983989491-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeFTiuIsKOMpUEE73g7bP%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=03079f98-60fe-4914-9e1b-443e008fd108)
{% endopenapi %}

## Ejemplos de Solicitudes

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents/1234 \
  -H "x-api-key: TU_API_KEY"
```

{% hint style="info" %}
Reemplaza `TU_API_KEY` con tu clave API real de Vector Store, `vs_abc123` con tu ID de Vector Store, y `1234` con el ID del documento.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getDocumentInfo = async (vectorStoreId, documentId) => {
  const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents/${documentId}`, {
    method: 'GET',
    headers: {
      'x-api-key': 'TU_API_KEY'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getDocumentInfo('vs_abc123', 1234);
```

{% hint style="info" %}
Reemplaza `TU_API_KEY` con tu clave API real de Vector Store, `vs_abc123` con tu ID de Vector Store, y `1234` con el ID del documento.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_document_info(vector_store_id, document_id):
    headers = {
        "x-api-key": "TU_API_KEY"
    }
    
    response = requests.get(
        f"https://api.rememberizer.ai/api/v1/vector-stores/{vector_store_id}/documents/{document_id}",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_document_info('vs_abc123', 1234)
```

{% hint style="info" %}
Reemplaza `TU_API_KEY` con tu clave API real de Vector Store, `vs_abc123` con tu ID de Vector Store, y `1234` con el ID del documento.
{% endhint %}
{% endtab %}
{% endtabs %}

## Parámetros de Ruta

| Parámetro       | Tipo   | Descripción                                                              |
| --------------- | ------ | ------------------------------------------------------------------------ |
| vector-store-id | cadena | **Requerido.** El ID de la tienda de vectores que contiene el documento. |
| document-id     | entero | **Requerido.** El ID del documento a recuperar.                          |

## Formato de Respuesta

```json
{
  "id": 1234,
  "name": "Manual del Producto.pdf",
  "type": "application/pdf",
  "vector_store": "vs_abc123",
  "size": 250000,
  "status": "indexado",
  "processing_status": "completado",
  "indexed_on": "2023-06-15T10:30:00Z",
  "status_error_message": null,
  "created": "2023-06-15T10:15:00Z",
  "modified": "2023-06-15T10:30:00Z"
}
```

## Autenticación

Este endpoint requiere autenticación utilizando una clave API en el encabezado `x-api-key`.

## Respuestas de Error

| Código de Estado | Descripción                                                   |
| ---------------- | ------------------------------------------------------------- |
| 401              | No Autorizado - Clave API inválida o faltante                 |
| 404              | No Encontrado - Almacén de Vectores o documento no encontrado |
| 500              | Error Interno del Servidor                                    |

Este endpoint recupera información detallada sobre un documento específico en el almacén de vectores. Es útil para verificar el estado de procesamiento de documentos individuales y recuperar metadatos como tipo de archivo, tamaño y marcas de tiempo. Esto puede ser particularmente útil al solucionar problemas con el procesamiento de documentos o cuando necesitas verificar que un documento fue indexado correctamente.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/es/recursos-para-desarrolladores/api-docs/vector-store/get-the-information-of-a-document.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
